# -*- coding: utf-8 -*-
# Generated by Django 1.9.2 on 2016-12-18 15:32
from __future__ import unicode_literals

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('breach', '0020_target_sentinel'),
    ]

    operations = [
        migrations.AddField(
            model_name='victim',
            name='attacked_at',
            field=models.DateTimeField(default=django.utils.timezone.now, help_text='The start time of the attack', max_length=255),
        ),
        migrations.AddField(
            model_name='victim',
            name='state',
            field=models.CharField(default='discovered', help_text="The state of the attack. Possible values are'discovered', 'completed', 'running', 'paused' ", max_length=255),
        ),
        migrations.AddField(
            model_name='victim',
            name='trashed_at',
            field=models.DateTimeField(blank=True, help_text='The datatime of the first delete request.On a second delete request, the victim isdeleted. It iss used for undoing deletion.', null=True),
        ),
        migrations.AlterField(
            model_name='target',
            name='alignmentalphabet',
            field=models.CharField(default='', help_text='Alphabet used for block alignment. This will be shuffled once per batch.', max_length=255, validators=[django.core.validators.RegexValidator('^(?:([A-Za-z0-9])(?!.*\\1))*$', 'Only alphanumeric characters are allowed.')]),
        ),
        migrations.AlterField(
            model_name='target',
            name='alphabet',
            field=models.CharField(help_text=('This set contains all the candidate symbols each ', 'character of the secret can be.'), max_length=255, validators=[django.core.validators.RegexValidator('^(?:([A-Za-z0-9])(?!.*\\1))*$', 'Only alphanumeric characters are allowed.')]),
        ),
        migrations.AlterField(
            model_name='victim',
            name='snifferendpoint',
            field=models.CharField(default='http://127.0.0.1:9000', help_text="The HTTP endpoint of the adversarial sniffer running on the victim's network which is listening for our HTTP requests. This endpoint must include the 'http://' prefix.", max_length=255),
        ),
        migrations.AlterField(
            model_name='victim',
            name='target',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='breach.Target'),
        ),
    ]
